/*
 * Generated by ISE 15.08.9.7862 GPL Edition - windows
 */

#include "eif_eiffel.h"
#include "eif_project.h"
#include "egc_include.h"

#ifdef __cplusplus
extern "C" {
#endif
extern void F1_23();
extern EIF_REFERENCE F1_14();
extern void F913_17517();
extern void F915_17670();
extern void F923_17759();
extern void F925_17920();
extern void F1560_10460();
extern void F1554_16884();
extern void F347_6516();
extern EIF_REFERENCE F347_6503();
extern EIF_BOOLEAN F347_6515();
extern EIF_BOOLEAN F347_6520();
extern void F347_6525();
extern void F347_6526();
extern void F347_6527();
extern void F367_6682();
extern EIF_TYPED_VALUE F367_6683();

long *eif_area_table = (long *)0;
long *eif_lower_table = (long *)0;


extern void egc_init_plug (void); 
void egc_init_plug (void)
{
	egc_prof_enabled = (EIF_INTEGER) 0;
	egc_correct_mismatch = (void (*)(EIF_REFERENCE)) F1_23;
	egc_twin = (EIF_TYPED_VALUE (*)(EIF_REFERENCE)) F1_14;
	egc_strmake = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F913_17517;
	egc_str32make = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F923_17759;
	egc_arrmake = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) F1560_10460;
	egc_strset = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F915_17670;
	egc_str32set = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F925_17920;
	egc_routdisp_wb = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) F1554_16884;
					#ifdef RTS_SCP_CAPABLE
						egc_is_scoop_capable = 0;
					#endif
	egc_set_exception_data = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) F347_6516;
	egc_set_last_exception = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F347_6515;
	egc_last_exception = (EIF_TYPED_VALUE (*)(EIF_REFERENCE)) F347_6503;
	egc_is_code_ignored = (EIF_TYPED_VALUE (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F347_6520;
	egc_once_raise = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F347_6525;
	egc_init_exception_manager = (void (*)(EIF_REFERENCE)) F347_6526;
	egc_free_preallocated_trace = (void (*)(EIF_REFERENCE)) F347_6527;

	egc_str_dtype = 914;

	egc_str32_dtype = 924;
	egc_arr_dtype = 1559;
	egc_tup_dtype = 840;
	egc_disp_rout_id = 10917;
	egc_copy_rout_id = 18;
	egc_is_equal_rout_id = 11;

	egc_sp_char = 0x06D8;
	egc_sp_wchar = 0x07FB;
	egc_sp_bool = 0x07DB;
	egc_sp_uint8 = 0x0666;
	egc_sp_uint16 = 0x07AD;
	egc_sp_uint32 = 0x0768;
	egc_sp_uint64 = 0x06B3;
	egc_sp_int8 = 0x073C;
	egc_sp_int16 = 0x078B;
	egc_sp_int32 = 0x0684;
	egc_sp_int64 = 0x0719;
	egc_sp_real32 = 0x0857;
	egc_sp_real64 = 0x0695;
	egc_sp_pointer = 0x06FA;
	egc_sp_ref = 0x060B;

	egc_uint8_dtype = 875;
	egc_uint16_dtype = 854;
	egc_uint32_dtype = 851;
	egc_uint64_dtype = 860;
	egc_int8_dtype = 845;
	egc_int16_dtype = 878;
	egc_int32_dtype = 869;
	egc_int64_dtype = 848;
	egc_bool_dtype = 866;
	egc_real32_dtype = 857;
	egc_char_dtype = 872;
	egc_wchar_dtype = 842;
	egc_real64_dtype = 863;
	egc_point_dtype = 881;

	egc_exception_dtype = 489;
	egc_except_emnger_dtype = 346;

	egc_ce_type = egc_ce_type_init;

	egc_ce_exp_type = egc_ce_exp_type_init;
	egc_fsystem = egc_fsystem_init;
	egc_system_mod_init = egc_system_mod_init_init;
	egc_partab = egc_partab_init;
	egc_partab_size = egc_partab_size_init;
	egc_foption = egc_foption_init;
	egc_frozen = egc_frozen_init;
	egc_fpatidtab = egc_fpatidtab_init;
	egc_address_table = egc_address_table_init;
	egc_fpattern = egc_fpattern_init;

	egc_einit = egc_einit_init;
	egc_tabinit = egc_tabinit_init;
	egc_forg_table = egc_forg_table_init;

	egc_system_name = "precomp_vision2";
	egc_system_location = "c:\\users\\mki3\\documents\\eiffel user files\\15.08\\precomp\\spec\\windows\\EIFGENs\\vision2-safe\\W_code";
	egc_compiler_tag = 38;
	egc_project_version = 1554803237;
	egc_has_old_special_semantic = 0;
	egc_has_ieee_semantic = 1;
	scount = 2200;

	egc_rcount = 1;
	egc_ridx = 0;
	egc_rlist = (char**) eif_malloc (sizeof(char*)*egc_rcount);
	egc_rcdt = (int32 *) eif_malloc (sizeof(int32)*egc_rcount);
	egc_rcrid = (int32 *) eif_malloc (sizeof(int32)*egc_rcount);
	egc_rcarg = (int32 *) eif_malloc (sizeof(int32)*egc_rcount);
	egc_rlist[0] = "ANY";
	egc_rcdt[0] = 0;
	egc_rcrid[0] = -1;
	egc_rcarg[0] = 0;
	
	
	egc_platform_level = 0x00000D00;
	egc_rt_extension_dt = 366;
	egc_rt_extension_notify = (void (*)(EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) F367_6682;
	egc_rt_extension_notify_argument = (EIF_TYPED_VALUE (*)(EIF_REFERENCE, EIF_TYPED_VALUE)) F367_6683;
}

void egc_rcdt_init (void)
{
	if (egc_rcdt[0] == 0) {
		egc_rcdt[0] = 0; /* ANY */
	}
}

#ifdef __cplusplus
}
#endif
